﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using smnetjs;

namespace arca4.Scripting.JS
{
	[SMEmbedded(Name="BanManager")]
	static class BanManager
	{
		public static void ban(UserObj user)
		{
			user.Ban();
		}

		public static void unban(BannedUserObj bannedUser)
		{
			Bans.RemoveBan(bannedUser.InternalUserRecord);
		}

		public static BannedUserObj[] getBans()
		{
			List<BannedUserObj> banItems = new List<BannedUserObj>(Bans.Items.Count);

			foreach (var userRecord in Bans.Items)
			{
				banItems.Add(new BannedUserObj(userRecord));
			}

			return banItems.ToArray();
			
		}
	}
}
