﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics.Contracts;
using smnetjs;

namespace arca4.Scripting.JS
{
	[SMEmbedded(Name="Event")]
	static class Events
	{
		
		[SMMethod(Script = true)]
		public static bool register(SMScript script, EventType @event, SMFunction method)
		{
			ScriptObj scriptObj = ScriptManager.Items.Find(script.Name);
			EventManager.RegisterEvent(scriptObj.ScriptName, @event, method);
            return true;
		}

		[SMMethod(Script = true)]
		public static bool unregister(SMScript script, EventType @event)
		{
			ScriptObj scriptObj = ScriptManager.Items.Find(script.Name);
			EventManager.UnRegisterEvent(scriptObj.ScriptName, @event);
            return true;
		}
	}
}
