﻿using System;
using System.Diagnostics;

namespace arca4
{
    class Program
    {
        static Arca arca;

        static void Main()
        {
            AppDomain.CurrentDomain.UnhandledException += new UnhandledExceptionEventHandler(UnhandledException);
            Debug.Listeners.Add(new ConsoleTraceListener(true));
            Console.Title = "Arca4 dev console";
            arca = new Arca();
            arca.Start();
        }

        static void UnhandledException(object sender, UnhandledExceptionEventArgs e)
        {
            Exception ex = (Exception)e.ExceptionObject;
            Console.WriteLine("unhandled exception");
            Console.WriteLine("message: " + ex.Message);
            Console.WriteLine("trace: " + ex.StackTrace);
            Console.Read();
        }
    }
}
