﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Ares.UDP
{
    class UdpStats
    {
        private static int ackinfo_hits;
        private static int sendinfo_hits;
        private static int ips_ack_hits;
        private static int sendips_hits;

        public static void Reset()
        {
            ackinfo_hits = 0;
            sendinfo_hits = 0;
            ips_ack_hits = 0;
            sendips_hits = 0;
        }

        public static int ClientResponses
        {
            get { return ackinfo_hits; }
            set { ackinfo_hits = value; }
        }

        public static int ClientRequests
        {
            get { return sendinfo_hits; }
            set { sendinfo_hits = value; }
        }

        public static int SuccessfulPushes
        {
            get { return ips_ack_hits; }
            set { ips_ack_hits = value; }
        }

        public static int PushAttempts
        {
            get { return sendips_hits; }
            set { sendips_hits = value; }
        }
    }
}